Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 4293)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 4294)
@@ -845,6 +845,7 @@
                IF(lwp) THEN         ! Since all procs read global data only need to do this check on one proc...
                   IF( nbrdta(ib,igrd,ib_bdy) < nbrdta(ibm1,igrd,ib_bdy) ) THEN
-                     CALL ctl_stop('bdy_init : ERROR : boundary data in file must be defined in order of distance from edge nbr.', &
-                                   'A utility for re-ordering boundary coordinates and data files exists in the TOOLS/OBC directory')
+                     CALL ctl_stop('bdy_init : ERROR : boundary data in file must be defined ', &
+                          &        ' in order of distance from edge nbr A utility for re-ordering ', &
+                          &        ' boundary coordinates and data files exists in the TOOLS/OBC directory')
                   ENDIF    
                ENDIF
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/C1D/dtauvd.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/C1D/dtauvd.F90	(revision 4293)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/C1D/dtauvd.F90	(revision 4294)
@@ -174,15 +174,15 @@
             DO ji = 1, jpi                ! determines the interpolated U & V current profiles at each (i,j) point
                DO jk = 1, jpk
-                  zl = fsdept_0(ji,jj,jk)
-                  IF    ( zl < gdept_0(1  ) ) THEN          ! extrapolate above the first level of data
+                  zl = fsdept(ji,jj,jk)
+                  IF    ( zl < gdept_1d(1  ) ) THEN          ! extrapolate above the first level of data
                      zup(jk) =  puvd(ji,jj,1    ,1)
                      zvp(jk) =  puvd(ji,jj,1    ,2)
-                  ELSEIF( zl > gdept_0(jpk) ) THEN          ! extrapolate below the last level of data
+                  ELSEIF( zl > gdept_1d(jpk) ) THEN          ! extrapolate below the last level of data
                      zup(jk) =  puvd(ji,jj,jpkm1,1)
                      zvp(jk) =  puvd(ji,jj,jpkm1,2)
                   ELSE                                      ! inbetween : vertical interpolation between jkk & jkk+1
                      DO jkk = 1, jpkm1                      ! when  gdept(jkk) < zl < gdept(jkk+1)
-                        IF( (zl-gdept_0(jkk)) * (zl-gdept_0(jkk+1)) <= 0._wp ) THEN
-                           zi = ( zl - gdept_0(jkk) ) / (gdept_0(jkk+1)-gdept_0(jkk))
+                        IF( (zl-gdept_1d(jkk)) * (zl-gdept_1d(jkk+1)) <= 0._wp ) THEN
+                           zi = ( zl - gdept_1d(jkk) ) / (gdept_1d(jkk+1)-gdept_1d(jkk))
                            zup(jk) = puvd(ji,jj,jkk,1) + ( puvd(ji,jj,jkk+1,1 ) - puvd(ji,jj,jkk,1) ) * zi 
                            zvp(jk) = puvd(ji,jj,jkk,2) + ( puvd(ji,jj,jkk+1,2 ) - puvd(ji,jj,jkk,2) ) * zi
@@ -212,5 +212,5 @@
                   ik = mbkt(ji,jj) 
                   IF( ik > 1 ) THEN
-                     zl = ( gdept_0(ik) - fsdept_0(ji,jj,ik) ) / ( gdept_0(ik) - gdept_0(ik-1) )
+                     zl = ( gdept_1d(ik) - gdept_0(ji,jj,ik) ) / ( gdept_1d(ik) - gdept_1d(ik-1) )
                      puvd(ji,jj,ik,1) = (1.-zl) * puvd(ji,jj,ik,1) + zl * puvd(ji,jj,ik-1,1)
                      puvd(ji,jj,ik,2) = (1.-zl) * puvd(ji,jj,ik,2) + zl * puvd(ji,jj,ik-1,2)
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90	(revision 4293)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/CRS/crsdomwri.F90	(revision 4294)
@@ -238,6 +238,6 @@
             DO jj = 1,jpj_crs   
                DO ji = 1,jpi_crs
-                  zprt(ji,jj) = gdept(ji,jj,mbkt(ji,jj)  ) * tmask(ji,jj,1)
-                  zprw(ji,jj) = gdepw(ji,jj,mbkt(ji,jj)+1) * tmask(ji,jj,1)
+                  zprt(ji,jj) = gdept_0(ji,jj,mbkt(ji,jj)  ) * tmask(ji,jj,1)
+                  zprw(ji,jj) = gdepw_0(ji,jj,mbkt(ji,jj)+1) * tmask(ji,jj,1)
                END DO
             END DO
@@ -246,8 +246,8 @@
          ENDIF
 
-         CALL iom_rstput( 0, 0, inum4, 'gdept_0', gdept_0 )     !    ! reference z-coord.
-         CALL iom_rstput( 0, 0, inum4, 'gdepw_0', gdepw_0 )
-         CALL iom_rstput( 0, 0, inum4, 'e3t_0'  , e3t_0   )
-         CALL iom_rstput( 0, 0, inum4, 'e3w_0'  , e3w_0   )
+         CALL iom_rstput( 0, 0, inum4, 'gdept_1d', gdept_1d )     !    ! reference z-coord.
+         CALL iom_rstput( 0, 0, inum4, 'gdepw_1d', gdepw_1d )
+         CALL iom_rstput( 0, 0, inum4, 'e3t_1d'  , e3t_1d   )
+         CALL iom_rstput( 0, 0, inum4, 'e3w_1d'  , e3w_1d   )
 
          CALL iom_rstput(  0, 0, inum4, 'ocean_volume_t', ocean_volume_crs_t ) 
@@ -273,8 +273,8 @@
      IF( ln_zco ) THEN
          !                                                      ! z-coordinate - full steps
-        CALL iom_rstput( 0, 0, inum4, 'gdept_0', gdept_0 )     !    ! depth
-        CALL iom_rstput( 0, 0, inum4, 'gdepw_0', gdepw_0 )
-        CALL iom_rstput( 0, 0, inum4, 'e3t_0'  , e3t_0   )     !    ! scale factors
-        CALL iom_rstput( 0, 0, inum4, 'e3w_0'  , e3w_0   )
+        CALL iom_rstput( 0, 0, inum4, 'gdept_1d', gdept_1d )     !    ! depth
+        CALL iom_rstput( 0, 0, inum4, 'gdepw_1d', gdepw_1d )
+        CALL iom_rstput( 0, 0, inum4, 'e3t_1d'  , e3t_1d   )     !    ! scale factors
+        CALL iom_rstput( 0, 0, inum4, 'e3w_1d'  , e3w_1d   )
      ENDIF
       !                                     ! ============================
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90	(revision 4293)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90	(revision 4294)
@@ -210,8 +210,8 @@
         DO ji = 1, jpi_crs
            DO jj = 1, jpj_crs
-              IF( e3t_crs(ji,jj,jk) == 0._wp ) e3t_crs(ji,jj,jk) = e3t_0(jk)
-              IF( e3w_crs(ji,jj,jk) == 0._wp ) e3w_crs(ji,jj,jk) = e3w_0(jk)
-              IF( e3u_crs(ji,jj,jk) == 0._wp ) e3u_crs(ji,jj,jk) = e3t_0(jk)
-              IF( e3v_crs(ji,jj,jk) == 0._wp ) e3v_crs(ji,jj,jk) = e3t_0(jk)
+              IF( e3t_crs(ji,jj,jk) == 0._wp ) e3t_crs(ji,jj,jk) = e3t_1d(jk)
+              IF( e3w_crs(ji,jj,jk) == 0._wp ) e3w_crs(ji,jj,jk) = e3w_1d(jk)
+              IF( e3u_crs(ji,jj,jk) == 0._wp ) e3u_crs(ji,jj,jk) = e3t_1d(jk)
+              IF( e3v_crs(ji,jj,jk) == 0._wp ) e3v_crs(ji,jj,jk) = e3t_1d(jk)
            ENDDO
         ENDDO
@@ -219,6 +219,6 @@
 
      !    3.d.3   Vertical depth (meters)
-     CALL crs_dom_ope( gdept, 'MAX', 'T', tmask, gdept_crs, p_e3=zfse3t, psgn=1.0 ) 
-     CALL crs_dom_ope( gdepw, 'MAX', 'W', tmask, gdepw_crs, p_e3=zfse3w, psgn=1.0 )
+     CALL crs_dom_ope( gdept_0, 'MAX', 'T', tmask, gdept_crs, p_e3=zfse3t, psgn=1.0 ) 
+     CALL crs_dom_ope( gdepw_0, 'MAX', 'W', tmask, gdepw_crs, p_e3=zfse3w, psgn=1.0 )
 
 
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 4293)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 4294)
@@ -44,16 +44,16 @@
 
    !!* Namelist nam_vvl
-   LOGICAL , PUBLIC                                      :: ln_vvl_zstar           = .FALSE.   ! zstar  vertical coordinate
-   LOGICAL , PUBLIC                                      :: ln_vvl_ztilde          = .FALSE.   ! ztilde vertical coordinate
-   LOGICAL , PUBLIC                                      :: ln_vvl_layer           = .FALSE.   ! level  vertical coordinate
-   LOGICAL , PUBLIC                                      :: ln_vvl_ztilde_as_zstar = .FALSE.   ! ztilde vertical coordinate
-   LOGICAL , PUBLIC                                      :: ln_vvl_zstar_at_eqtor  = .FALSE.   ! ztilde vertical coordinate
-   LOGICAL , PUBLIC                                      :: ln_vvl_kepe            = .FALSE.   ! kinetic/potential energy transfer
+   LOGICAL , PUBLIC                                      :: ln_vvl_zstar              ! zstar  vertical coordinate
+   LOGICAL , PUBLIC                                      :: ln_vvl_ztilde             ! ztilde vertical coordinate
+   LOGICAL , PUBLIC                                      :: ln_vvl_layer              ! level  vertical coordinate
+   LOGICAL , PUBLIC                                      :: ln_vvl_ztilde_as_zstar    ! ztilde vertical coordinate
+   LOGICAL , PUBLIC                                      :: ln_vvl_zstar_at_eqtor     ! ztilde vertical coordinate
+   LOGICAL , PUBLIC                                      :: ln_vvl_kepe               ! kinetic/potential energy transfer
    !                                                                                           ! conservation: not used yet
-   REAL(wp)                                              :: rn_ahe3                =  0.0_wp   ! thickness diffusion coefficient
-   REAL(wp)                                              :: rn_rst_e3t             =  30._wp   ! ztilde to zstar restoration timescale [days]
-   REAL(wp)                                              :: rn_lf_cutoff           =  5.0_wp   ! cutoff frequency for low-pass filter  [days]
-   REAL(wp)                                              :: rn_zdef_max            =  0.9_wp   ! maximum fractional e3t deformation
-   LOGICAL , PUBLIC                                      :: ln_vvl_dbg             = .FALSE.   ! debug control prints
+   REAL(wp)                                              :: rn_ahe3                   ! thickness diffusion coefficient
+   REAL(wp)                                              :: rn_rst_e3t                ! ztilde to zstar restoration timescale [days]
+   REAL(wp)                                              :: rn_lf_cutoff              ! cutoff frequency for low-pass filter  [days]
+   REAL(wp)                                              :: rn_zdef_max               ! maximum fractional e3t deformation
+   LOGICAL , PUBLIC                                      :: ln_vvl_dbg                ! debug control prints
 
    !! * Module variables
@@ -851,4 +851,5 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ioptio
+      INTEGER ::   ios
 
       NAMELIST/nam_vvl/ ln_vvl_zstar, ln_vvl_ztilde, ln_vvl_layer, ln_vvl_ztilde_as_zstar, &
@@ -857,6 +858,12 @@
       !!---------------------------------------------------------------------- 
 
-      REWIND ( numnam )               ! Read Namelist nam_vvl : vertical coordinate
-      READ   ( numnam, nam_vvl )
+      REWIND( numnam_ref )              ! Namelist nam_vvl in reference namelist : 
+      READ  ( numnam_ref, nam_vvl, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_vvl in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist nam_vvl in configuration namelist : Parameters of the run
+      READ  ( numnam_cfg, nam_vvl, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_vvl in configuration namelist', lwp )
+      WRITE ( numond, nam_vvl )
 
       IF(lwp) THEN                    ! Namelist print