Index: branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 4314)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 4316)
@@ -221,5 +221,9 @@
 !-----------------------------------------------------------------------
 &nambdy        !  unstructured open boundaries                          ("key_bdy")
-!-----------------------------------------------------------------------
+    nb_bdy         =  1
+    cn_dyn2d       = 'flather'
+    nn_dyn2d_dta   =  3
+    cn_tra         =  'frs'
+    nn_tra_dta    =   1 
 /
 !-----------------------------------------------------------------------
Index: branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 4314)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 4316)
@@ -513,5 +513,6 @@
 !-----------------------------------------------------------------------
    ln_tide_pot   = .true.   !  use tidal potential forcing
-   nb_harmo      =    11    !  number of constituents used
+   ln_tide_ramp  = .false.  !
+   rdttideramp   =    0.    !
    clname(1)     =   'M2'   !  name of constituent
    clname(2)     =   'S2'
@@ -529,23 +530,27 @@
 &nambdy        !  unstructured open boundaries                          ("key_bdy")
 !-----------------------------------------------------------------------
-    nb_bdy = 1                            !  number of open boundary sets
+    nb_bdy         = 0                    !  number of open boundary sets
     ln_coords_file = .true.               !  =T : read bdy coordinates from file
     cn_coords_file = 'coordinates.bdy.nc' !  bdy coordinates files
-    ln_mask_file = .false.                !  =T : read mask from file
-    cn_mask_file = ''                     !  name of mask file (if ln_mask_file=.TRUE.)
-    nn_dyn2d      =  2                    !  boundary conditions for barotropic fields
-    nn_dyn2d_dta  =  3                    !  = 0, bdy data are equal to the initial state
+    ln_mask_file   = .false.              !  =T : read mask from file
+    cn_mask_file   = ''                   !  name of mask file (if ln_mask_file=.TRUE.)
+    cn_dyn2d       = 'none'               !
+    nn_dyn2d_dta   =  0                   !  = 0, bdy data are equal to the initial state
                                           !  = 1, bdy data are read in 'bdydata   .nc' files
                                           !  = 2, use tidal harmonic forcing data from files
                                           !  = 3, use external data AND tidal harmonic forcing
-    nn_dyn3d      =  0                    !  boundary conditions for baroclinic velocities
+    cn_dyn3d      =  'none'               !  
     nn_dyn3d_dta  =  0                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_tra        =  1                    !  boundary conditions for T and S
-    nn_tra_dta    =  1                    !  = 0, bdy data are equal to the initial state
-                           !  = 1, bdy data are read in 'bdydata   .nc' files
-    nn_rimwidth  = 10                      !  width of the relaxation zone
-    ln_vol     = .false.                  !  total volume correction (see nn_volctl parameter)
-    nn_volctl  = 1                        !  = 0, the total water flux across open boundaries is zero
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    cn_tra        =  'none'               ! 
+    nn_tra_dta    =  0                    !  = 0, bdy data are equal to the initial state
+                                          !  = 1, bdy data are read in 'bdydata   .nc' files
+    ln_tra_dmp    =.false.                !  open boudaries conditions for tracers
+    ln_dyn3d_dmp  =.false.                !  open boundary condition for baroclinic velocities
+    rn_time_dmp   =  1.                   ! Damping time scale in days 
+    rn_time_dmp_out =  1.                 ! Outflow damping time scale
+    nn_rimwidth   = 10                    !  width of the relaxation zone
+    ln_vol        = .false.               !  total volume correction (see nn_volctl parameter)
+    nn_volctl     = 1                     !  = 0, the total water flux across open boundaries is zero
 /
 !-----------------------------------------------------------------------
Index: branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/all_functions.sh
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/all_functions.sh	(revision 4314)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/all_functions.sh	(revision 4316)
@@ -132,7 +132,5 @@
 # Add $VARNAME in namelist file ${EXE_DIR}/$1 in namelist group $NAMGRP
 # on mac osx, replace sed --posix by gsed (available with mac port)
-set -vx 
                 sed --posix "/${NAMGRP} /a\ ${VAR_NAME} " ${EXE_DIR}/$1 > ${EXE_DIR}/$1.tmp || gsed --posix "/${NAMGRP} /a\ ${VAR_NAME} " ${EXE_DIR}/$1 > ${EXE_DIR}/$1.tmp
-set +vx
 # if file not empty replace ${EXE_DIR}/$1
                 if [ -s ${EXE_DIR}/$1.tmp ] ; then
Index: branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 4314)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 4316)
@@ -1,1 +1,4 @@
-ORCA2_LIM_nemo_v3.4.tar  ORCA2_LIM_nemo_v3.4
+ORCA2_LIM_nemo_v3.4.tar  ORCA2_LIM_PISCES_v3.6
+INPUTS_DYNA_v3.6.tar ORCA2_LIM_PISCES_v3.6 
+INPUTS_INIT_v3.tar ORCA2_LIM_PISCES_v3.6
+INPUTS_PISCES_v3.5.tar ORCA2_LIM_PISCES_v3.6 
Index: branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/input_ORCA2_OFF_PISCES.cfg
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/input_ORCA2_OFF_PISCES.cfg	(revision 4314)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/input_ORCA2_OFF_PISCES.cfg	(revision 4316)
@@ -1,1 +1,2 @@
 INPUTS_DYNA_v3.6.tar ORCA2_OFF_PISCES
+INPUTS_PISCES_v3.5.tar ORCA2_OFF_PISCES
Index: branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/sette.sh
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/sette.sh	(revision 4314)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/sette.sh	(revision 4316)
@@ -88,8 +88,8 @@
 #
 # Compiler among those in NEMOGCM/ARCH
-COMPILER=x3750_ADA
+COMPILER=tobedefined
 export BATCH_COMMAND_PAR="llsubmit"
 export BATCH_COMMAND_SEQ=$BATCH_COMMAND_PAR
-export INTERACT_FLAG="no"
+export INTERACT_FLAG="yes"
 export MPIRUN_FLAG="yes"
 export USING_XIOS="yes"
@@ -132,5 +132,11 @@
 cd ${SETTE_DIR}
 cp BATCH_TEMPLATE/${JOB_PREFIX}-${COMPILER} job_batch_template || exit
-
+# Description of configuration tested:
+# GYRE            : 1 &  2
+# ORCA2_LIM_PISCES: 3 &  4
+# ORCA2_OFF_PISCES: 5 &  6
+# AMM12           : 7 &  8
+# SAS             : 9 & 10
+# ORCA2_AGRIF_LIM: 11
 for config in 1 2 3 4 5 6 7 8 9 10 11
 
@@ -179,4 +185,5 @@
     set_namelist namelist_cfg nn_rstctl 2
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg nn_solv 2
     set_namelist namelist_cfg jpni 2
@@ -252,4 +259,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg nn_solv 2
     set_namelist namelist_cfg jpni 2
@@ -287,4 +295,5 @@
     set_namelist namelist_cfg nn_stock 75
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 2
@@ -322,4 +331,5 @@
     set_namelist namelist_cfg nn_rstctl 2
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 2
@@ -380,4 +390,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 4
@@ -419,4 +430,5 @@
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 8
@@ -467,4 +479,5 @@
     set_namelist namelist_cfg nn_stock 20
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 2
@@ -501,4 +514,5 @@
     set_namelist namelist_cfg nn_stock 20
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 2
@@ -553,4 +567,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 4
@@ -591,4 +606,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 8
@@ -639,5 +655,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_dyn2d 2
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg nn_tra_dta 0
     set_namelist namelist_cfg cn_ocerst_in \"amm12_restart_oce\"
@@ -663,5 +679,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_dyn2d 2
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg nn_tra_dta 0
     set_namelist namelist_cfg jpni 8
@@ -706,5 +722,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_dyn2d 2
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg nn_tra_dta 0
     set_namelist namelist_cfg cn_ocerst_in \"amm12_restart_oce\"
@@ -731,7 +747,7 @@
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg ln_ctl .false.
-    set_namelist namelist_cfg nn_dyn2d 2
     set_namelist namelist_cfg nn_tra_dta 0
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg cn_ocerst_in \"amm12_restart_oce\"
     ln -s restarts/amm12_restart_oce.nc amm12_restart_oce.nc
@@ -771,4 +787,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
@@ -791,4 +808,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
@@ -830,4 +848,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
@@ -851,4 +870,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -883,4 +903,5 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 1
     set_namelist namelist_cfg jpnj 2
@@ -901,4 +922,3 @@
 fi
 
-
 done