Index: branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 4317)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 4318)
@@ -1,4 +1,1 @@
-ORCA2_LIM_nemo_v3.4.tar  ORCA2_LIM_PISCES_v3.6
-INPUTS_DYNA_v3.6.tar ORCA2_LIM_PISCES_v3.6 
-INPUTS_INIT_v3.tar ORCA2_LIM_PISCES_v3.6
-INPUTS_PISCES_v3.5.tar ORCA2_LIM_PISCES_v3.6 
+ORCA2_LIM_nemo_v3.6.tar  ORCA2_LIM_PISCES_v3.6
Index: branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/input_ORCA2_OFF_PISCES.cfg
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/input_ORCA2_OFF_PISCES.cfg	(revision 4317)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/input_ORCA2_OFF_PISCES.cfg	(revision 4318)
@@ -1,2 +1,1 @@
 INPUTS_DYNA_v3.6.tar ORCA2_OFF_PISCES
-INPUTS_PISCES_v3.5.tar ORCA2_OFF_PISCES
Index: branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/sette.sh
===================================================================
--- branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/sette.sh	(revision 4317)
+++ branches/2013/dev_MERGE_2013/NEMOGCM/SETTE/sette.sh	(revision 4318)
@@ -162,4 +162,5 @@
     set_namelist namelist_cfg nn_stock 60
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg nn_solv 2
     set_namelist namelist_cfg jpni 2
@@ -259,5 +260,4 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg nn_solv 2
     set_namelist namelist_cfg jpni 2
@@ -390,5 +390,4 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 4
@@ -428,5 +427,4 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 75
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg nn_fwb 0
@@ -479,5 +477,4 @@
     set_namelist namelist_cfg nn_stock 20
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 2
@@ -514,5 +511,4 @@
     set_namelist namelist_cfg nn_stock 20
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 2
@@ -567,5 +563,4 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 4
@@ -606,5 +601,4 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 8
@@ -655,5 +649,4 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg nn_tra_dta 0
     set_namelist namelist_cfg cn_ocerst_in \"amm12_restart_oce\"
@@ -679,5 +672,4 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg nn_tra_dta 0
     set_namelist namelist_cfg jpni 8
@@ -722,5 +714,4 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg nn_tra_dta 0
     set_namelist namelist_cfg cn_ocerst_in \"amm12_restart_oce\"
@@ -749,5 +740,4 @@
     set_namelist namelist_cfg nn_tra_dta 0
     set_namelist namelist_cfg ln_clobber .true.
-    set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg cn_ocerst_in \"amm12_restart_oce\"
     ln -s restarts/amm12_restart_oce.nc amm12_restart_oce.nc