Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90	(revision 4318)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/LIM_SRC_2/iceini_2.F90	(revision 4319)
@@ -75,5 +75,5 @@
       CALL ctl_opn( numnam_ice_ref, 'namelist_ice_ref',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp ) 
       CALL ctl_opn( numnam_ice_cfg, 'namelist_ice_cfg',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
-      CALL ctl_opn( numoni,         'output.namelist.ice', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, 1 )
+      CALL ctl_opn( numoni,         'output.namelist.ice', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, 1 )
 
       ! When Diurnal cycle, core bulk and LIM2  are activated, 
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90	(revision 4318)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/LIM_SRC_3/iceini.F90	(revision 4319)
@@ -74,5 +74,5 @@
       CALL ctl_opn( numnam_ice_ref, 'namelist_ice_ref',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp ) 
       CALL ctl_opn( numnam_ice_cfg, 'namelist_ice_cfg',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
-      CALL ctl_opn( numoni,         'output.namelist.ice', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, 1 )
+      CALL ctl_opn( numoni,         'output.namelist.ice', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, 1 )
       !
       CALL ice_run                     ! set some ice run parameters
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90	(revision 4318)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90	(revision 4319)
@@ -155,5 +155,5 @@
       CALL ctl_opn( numnam_ref, 'namelist_ref', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
       CALL ctl_opn( numnam_cfg, 'namelist_cfg', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
-      CALL ctl_opn( numond, 'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. , 1 )
+      CALL ctl_opn( numond, 'output.namelist.dyn', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. , 1 )
       !
       REWIND( numnam_ref )              ! Namelist namctl in reference namelist : Control prints & Benchmark
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OOO_SRC/nemogcm.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OOO_SRC/nemogcm.F90	(revision 4318)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OOO_SRC/nemogcm.F90	(revision 4319)
@@ -141,5 +141,5 @@
       CALL ctl_opn( numnam_ref, 'namelist_ref', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
       CALL ctl_opn( numnam_cfg, 'namelist_cfg', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
-      CALL ctl_opn( numond, 'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. , 1 )
+      CALL ctl_opn( numond, 'output.namelist.dyn', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. , 1 )
       !
       REWIND( numnam_ref )              ! Namelist namctl in reference namelist : Control prints & Benchmark
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 4318)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 4319)
@@ -241,5 +241,5 @@
       CALL ctl_opn( numnam_ref, 'namelist_ref', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
       CALL ctl_opn( numnam_cfg, 'namelist_cfg', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
-      CALL ctl_opn( numond, 'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. , 1 )
+      CALL ctl_opn( numond, 'output.namelist.dyn', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. , 1 )
       !
       REWIND( numnam_ref )              ! Namelist namctl in reference namelist : Control prints & Benchmark
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 4318)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 4319)
@@ -168,5 +168,5 @@
       CALL ctl_opn( numnam_ref, 'namelist_ref', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
       CALL ctl_opn( numnam_cfg, 'namelist_cfg', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
-      CALL ctl_opn( numond, 'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. , 1 )
+      CALL ctl_opn( numond, 'output.namelist.dyn', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. , 1 )
       !
       REWIND( numnam_ref )              ! Namelist namctl in reference namelist : Control prints & Benchmark
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 4318)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 4319)
@@ -58,5 +58,5 @@
       CALL ctl_opn( numnatb_ref, 'namelist_c14b_ref'  ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
       CALL ctl_opn( numnatb_cfg, 'namelist_c14b_cfg'  ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )   
-      CALL ctl_opn( numonb     , 'output.namelist.c14', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )     
+      CALL ctl_opn( numonb     , 'output.namelist.c14', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )     
       REWIND( numnatb_ref )              ! Namelist namc14date in reference namelist : c14b parameters
       READ  ( numnatb_ref, namc14date, IOSTAT = ios, ERR = 901)
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 4318)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 4319)
@@ -55,5 +55,5 @@
       CALL ctl_opn( numnatc_ref, 'namelist_cfc_ref'   ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
       CALL ctl_opn( numnatc_cfg, 'namelist_cfc_cfg'   ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
-      CALL ctl_opn( numonc     , 'output.namelist.cfc', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
+      CALL ctl_opn( numonc     , 'output.namelist.cfc', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
 
       REWIND( numnatc_ref )              ! Namelist namcfcdate in reference namelist : CFC parameters
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90	(revision 4318)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90	(revision 4319)
@@ -72,5 +72,5 @@
       CALL ctl_opn( numnatp_ref, TRIM( clname )//'_ref', 'OLD'    , 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
       CALL ctl_opn( numnatp_cfg, TRIM( clname )//'_cfg', 'OLD'    , 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
-      CALL ctl_opn( numonp     , 'output.namelist.pis' , 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
+      CALL ctl_opn( numonp     , 'output.namelist.pis' , 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
       !
       IF( .NOT.lk_iomput .AND. ln_diatrc ) THEN
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/trcnam.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 4318)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 4319)
@@ -187,5 +187,5 @@
       CALL ctl_opn( numnat_ref, 'namelist_top_ref'   , 'OLD'    , 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
       CALL ctl_opn( numnat_cfg, 'namelist_top_cfg'   , 'OLD'    , 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
-      CALL ctl_opn( numont    , 'output.namelist.top', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE., 1 )
+      CALL ctl_opn( numont    , 'output.namelist.top', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE., 1 )
 
       REWIND( numnat_ref )              ! Namelist namtrc in reference namelist : Passive tracer variables